routes/web.php
<?php

/*
  |--------------------------------------------------------------------------
  | Web Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register web routes for your application. These
  | routes are loaded by the RouteServiceProvider within a group which
  | contains the "web" middleware group. Now create something great!
  |
 */
Route::prefix('admin')->namespace('Admin')->group(function () {

    Route::get('/', 'LoginController@index');
    Route::get('login', 'LoginController@index');
    Route::get('login/check', 'LoginController@check');
    Route::post('login/check', 'LoginController@check');
    Route::get('logout', 'LoginController@logout');



    Route::middleware(['AdminAuth'])->group(function () {

        /* Route::resource('dashboard', 'DashboardController@index'); */

        Route::get('dashboard', 'DashboardController@index')->name('dashboard');
        
        Route::any('territorystore', 'DashboardController@territorySession')->name('territorystore');
        //for jobopenings
        Route::resource('jobs', 'JobOpeningController');
        Route::get('jobs/{id}/create', 'JobOpeningController@create')->name('job_create');
        Route::post('jobs/destroy', 'JobOpeningController@destroy')->name('job_destroy');
        Route::post('jobs/change_status', 'JobOpeningController@status')->name('job_status');
        // City List
        Route::post('jobs/city-list', 'JobOpeningController@getCityList')->name('job-city-list');
        // Approve Job
        Route::get('jobs/approve/{id}', 'JobOpeningController@approveJob')->name('approve-job');
        //Job requested
        Route::get('jobsrequested', 'JobOpeningController@jobRequestedProfile')->name('jobRequestedProfile');

        //clients
        Route::resource('clients', 'ClientsController');
        Route::post('clients/change_status', 'ClientsController@status')->name('client_status');
        Route::get('clients/requestedprofile/{id}', 'ClientsController@viewRequestProfile')->name('viewRequestProfile');
        Route::get('clients/approverequestedprofile/{id}', 'ClientsController@approveRequestProfile')->name('approvprofileadmin');
        Route::get('clients/cancelrequestedprofile/{id}', 'ClientsController@cancelRequestProfile')->name('cancelprofileadmin');
        Route::get('clients/delete/{id}', 'ClientsController@deleteClient')->name('deleteclient');
        // Restore Client Contact Account
        Route::get('restoreaccount/{id}', 'ClientsController@restoreClientContactAccount')->name('restore-clientcontact-account');
        
        //Requsted profile view
        Route::get('/requestprofilelist', 'ClientsController@indexRequestProfile')->name('indexRequestProfile');
        Route::get('requestprofilelist/downloadcv/{id}', 'ClientsController@formattedResumeDownload')->name('formattedResumeDownload');

        Route::post('requestprofilelist/delete', 'ClientsController@multipleDeleteRequest')->name('multipledeleteRequestedprofile');
        Route::post('requestprofilelist/downloadcv', 'ClientsController@multipleFormattedResumeDownload')->name('multipleFormattedResumeDownload');

        //consultant
        Route::resource('consultant', 'ConsultantController');
        Route::post('consultant/change_status', 'ConsultantController@status')->name('consultant_status');
        Route::get('consultant/edit/{id}', 'ConsultantController@editConsultant')->name('editConsultant');
        Route::post('consultant/edit/summaryapprove/{id}', 'ConsultantController@summaryApprove')->name('consultantsummaryapprove');
        Route::get('consultant/delete/{id}', 'ConsultantController@deleteConsultant')->name('delete-consultant');
        Route::get('consultant/associate-jobopenings/{id}', 'ConsultantController@associateJobOpenings')->name('associate-job-openings');
        Route::post('consultant/change-consultant-status', 'ConsultantController@changeConsultantStatus')->name('change-consultant-status');
        // Upcoming Interviews
        Route::get('upcoming-interviews', 'ConsultantController@upcomingInterviews')->name('upcoming_interviews');
        // Add candidate experience
        Route::any('add/experience/{id}', 'ConsultantController@addExperience')->name('addexperience');
        // Restore Consultant Account
        Route::get('restoreconsultantaccount/{id}', 'ConsultantController@restoreConsultantAccount')->name('restore-consultant-account');
        
        // Edit candidate experience
        Route::any('edit/experience/{id}', 'ConsultantController@updateExperience')->name('updateexperience');
        // Add candidate experience
        Route::any('delete/experience/{id}', 'ConsultantController@deleteExperience')->name('deleteexperience');
        
        // Add candidate education
        Route::any('add/education/{id}', 'ConsultantController@addEducation')->name('addeducation');
        // Edit candidate education
        Route::any('edit/education/{id}', 'ConsultantController@updateEducation')->name('updateeducation');
        // Delete candidate experience
        Route::any('delete/education/{id}', 'ConsultantController@deleteEducation')->name('deleteeducation');
        // Add candidate reference
        Route::any('add/reference/{id}', 'ConsultantController@addReference')->name('addreference');
        // Edit candidate reference
        Route::any('edit/reference/{id}', 'ConsultantController@updateReference')->name('updatereference');
        // Delete candidate reference
        Route::any('delete/reference/{id}', 'ConsultantController@deleteReference')->name('deletereference');
        //systemuser
        Route::resource('systemuser', 'UserController');
        Route::post('systemuser-exists', 'UserController@isUserEmailExists')->name('isUserEmailExists');
        Route::post('systemuser/change_status', 'UserController@status')->name('systemuser_status');

        Route::post('systemuser/delete', 'UserController@delete')->name('systemuser_delete');

        Route::get('systemuser/deleterecord/{id}', 'UserController@deleteSingleRecord')->name('systemuser_delete_record');

        Route::post('systemuser/changepwd', 'UserController@changepwd')->name('changepwd');

        /* Setting Start */
        // Setting email templates
        Route::get('settings/emailtemplate', 'SettingController@emailTemplates')->name('emailtemplate');
        // Edit Email Template
        Route::get('settings/emailtemplate/edit/{id}', 'SettingController@editEmailTemplate')->name('editemailtemplate');
        // Update Email Template Settings
        Route::post('settings/emailtemplate/update', 'SettingController@updateEmailTemplate')->name('updateemailtemplate');
        // Edit Site Settings
        Route::get('settings/site', 'SettingController@site')->name('site');
        // Update Site Settings
        Route::post('settings/updatesite', 'SettingController@updateSiteSettings')->name('updatesite');
        // FAQ List
        Route::get('faq', 'SettingController@faq')->name('faq');
        // Add FAQ
        Route::any('faq/add', 'SettingController@addFAQ')->name('addfaq');
        // Update FAQ
        Route::any('faq/update/{id}', 'SettingController@updateFAQ')->name('updatefaq');
        // Delete FAQ
        Route::get('faq/delete/{id}', 'SettingController@deleteFAQ')->name('deletefaq');
        //Notification
        Route::get('settings/notification', 'SettingController@notification')->name('adminnotification');
        //Sync data from zoho
        Route::any('synczohodata', 'SettingController@syncZohoData')->name('synczohodata');
        // Verifry Admin Password
        Route::post('verifrypassword', 'SettingController@verifyAdminPassword')->name('verify_admin_password');
        // Taglines
        Route::any('taglines', 'SettingController@tagLines')->name('taglines');
        // Add tagline
        Route::any('tagline/add', 'SettingController@addTagline')->name('addtagline');
        // Update tagline
        Route::any('tagline/update/{id}', 'SettingController@updateTagline')->name('updatetagline');
        // Delete tagline
        Route::get('tagline/delete/{id}', 'SettingController@deleteTagline')->name('deletetagline');
        // Read and Remove Notification Counter
        Route::post('/readadminnotification', 'SettingController@readNotification')->name('readadminnotification');
        // Change Contact Password
        Route::get('changecontactpassword/{id}', 'ClientsController@contactChangePassword')->name('changecontactpassword');
        
        
        
    });
});

Route::get('/', 'HomeController@checkCountry')->name('checkcountry');
//Route::get('/', 'HomeController@index')->name('dashboard');

Route::middleware(['DefaultLocale'])->prefix('{locale}')->group(function () {
    Route::get('/', 'HomeController@index')->name('home');
  
    Route::get('/login-successful', 'HomeController@loginRedirect')->name('login-successful');
});

Route::get('/apicalltest', 'ApiController@test');
// Route::get('/', 'ApiController@test');

/* Auth::routes();
  Route::get('/admin', 'Auth\LoginController@login'); */
/* Route::get('admin/dashboard', 'HomeController@dashboard')->name('dashboard'); */

/* Route::middleware(['auth'])->group(function () { */
Route::any('/setterritories', 'HomeController@setTerritories')->name('setterritories');


/*});*/

resources/views/backend/systemuser/create.blade.php
@extends('Layouts.backend.main')
@section('content')
@include('Layouts.backend.sidebar')
<div id="page-wrapper" class="gray-bg dashbard-1">
    @include('Layouts.backend.header')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>Add System User</h5>
                </div>
                <div class="ibox-content">
                    {{Form::open(['route' => ['systemuser.store'],'class'=>'system_user','id'=>'system_user'])}}
                    <div class="row">
                        <div class="col-md-12">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>First Name: <span class="input-required">*</span></label>
                                    {{Form::text('first_name',old('first_name'),['class'=>'form-control m-input','required'])}}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Last Name: <span class="input-required">*</span></label>
                                    {{Form::text('last_name',old('last_name'),['class'=>'form-control m-input','required'])}}
                                </div>  
                            </div>        

                        </div>
                        <div class="col-md-12">
                            <div class="col-md-8">
                                <div class="form-group">
                                    <label>Email Address: <span class="input-required">*</span></label>
                                    {{Form::email('email',old('email'),['class'=>'form-control m-input','required'])}}
                                </div>  
                            </div>        

                        </div>
                        <div class="col-md-12">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Password: <span class="input-required">*</span></label>
                                    {{Form::password('password',['class'=>'form-control m-input','required'])}}
                                </div>  
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Confirm Password: <span class="input-required">*</span></label>
                                    {{Form::password('confirm_password',['class'=>'form-control m-input','required'])}}

                                </div>  
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="col-md-3">
                                <div class="form-group"><label class="control-label">Status:</label>
                                    <select class="form-control" id="status" name="status">
                                        <option value="Active">Active</option>
                                        <option value="Inactive">Inactive</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group"><label class="control-label">Type:</label>
                                    <select class="form-control" id="systemadmin_type" name="systemadmin_type">
                                        <option value="Super Admin">Super Admin</option>
                                        <option value="Territory Admin">Territory Admin</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-2" id="territory-div" style="display: none;">
                                <div class="form-group"><label class="control-label">Territory:</label>
                                    <select class="form-control" id="territory" name="territory">
                                        <option value="">Select Territory</option>
                                        <option value="MY">MY</option>
                                        <option value="PH">PH</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">                                                          
                            <div class="form-group">
                                <div class="col-sm-4">
                                    <a href="{{route('systemuser.index')}}" class="btn btn-white">Cancel</a>
                                    <button class="btn btn-primary" type="submit">Save</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    {{Form::close()}}
                </div>
            </div>
        </div>

    </div>
    @include('Layouts.backend.foot')
</div>

@endsection('content')

resources/views/backend/systemuser/edit.blade.php
@extends('Layouts.backend.main')
@section('content')
@include('Layouts.backend.sidebar')
<div id="page-wrapper" class="gray-bg dashbard-1">
    @include('Layouts.backend.header')
    <div class="row">
        <div class="col-lg-8">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>Edit System User</h5>
                </div>
                <div class="ibox-content">

                    {!! Form::model($editAdmin, ['method' => 'put','url' => url('/admin/systemuser/update'), 'files' => true, 'id' => 'edit_system_user']) !!}

                    {{ Form::hidden('id', null) }}
                    <div class="row">
                        <div class="col-md-12">
                            <div class="col-md-8">
                                <div class="form-group">
                                    <label>Email Address: <span class="input-required">*</span></label>
                                    {{Form::email('email',old('email'),['class'=>'form-control m-input','required','disabled' => 'disabled'])}}
                                </div>  
                            </div>        
                        </div>
                        <div class="col-md-12">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>First Name: <span class="input-required">*</span></label>
                                    {{Form::text('first_name',old('first_name'),['class'=>'form-control m-input','required'])}}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Last Name: <span class="input-required">*</span></label>
                                    {{Form::text('last_name',old('last_name'),['class'=>'form-control m-input','required'])}}
                                </div>  
                            </div>        

                        </div>


                        <div class="col-md-12">
                            <div class="col-md-3">
                                <div class="form-group"><label class="control-label">Status:</label>
                                    <?php
                                    $class = '';

                                    if (Session::get('id') == $editAdmin->id) {
                                        $class = "disabled";
                                    }
                                    ?> 
                                    <select class="form-control" id="status" name="status"  {{$class}}>
                                        <option value="Active" {{($editAdmin->status == 'Active')?'selected':''}}>Active</option>
                                        <option value="Inactive" {{($editAdmin->status == 'Inactive')?'selected':''}}>Inactive</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>User Type: <span class="input-required">*</span></label>
                                    {{Form::text('user_type',old('user_type'),['class'=>'form-control m-input','disabled' => 'disabled'])}}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Territory: <span class="input-required">*</span></label>
                                    {{Form::text('territory',old('territory'),['class'=>'form-control m-input','disabled' => 'disabled'])}}
                                </div>  
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">                                                          
                            <div class="form-group">
                                <div class="col-sm-4">
                                    <a href="{{route('systemuser.index')}}" class="btn btn-white">Cancel</a>
                                    <button class="btn btn-primary" type="submit">Save</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    {{Form::close()}}
                </div>
            </div>
        </div>
        <div class="col-lg-4">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>Change password</h5>
                </div>
                <div class="ibox-content">
                    <!-- BEGIN FORM-->
                    {!! Form::model($editAdmin, ['method' => 'post','url' => url('/admin/systemuser/changepwd'), 'id' => 'edit_Pwd']) !!}
                    {{ csrf_field() }}
                    <div class="form-body">
                        {{ Form::hidden('id', null) }}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>New Password</label>
                                    {{Form::password('password',['class'=>'form-control m-input','required'])}}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Confirm New Password</label>
                                    {{Form::password('confirm_password',['class'=>'form-control m-input','required'])}}
                                </div>
                            </div>
                        </div>	
                    </div>
                    <div class="form-actions right">
                        <a href="{{route('systemuser.index')}}" class="btn btn-white">Cancel</a>
                        <button type="submit" class="btn btn-primary">
                            <i class="fa fa-check"></i> Change Password</button>
                    </div>
                    {!! Form::close() !!}
                    <!-- END FORM-->
                </div>
            </div>
        </div>
    </div>
    @include('Layouts.backend.foot')
</div>

@endsection('content')

resources/views/backend/systemuser/index.blade.php
@extends('Layouts.backend.main')
@section('content')
@include('Layouts.backend.sidebar')
<div id="page-wrapper" class="gray-bg dashbard-1">
    @include('Layouts.backend.header')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                @if(Session::has('success'))
                <div class="alert alert-success alert-dismissable">
                    {{ Session::get('success') }}
                </div>
                @endif

                @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissable">
                    {{ Session::get('error') }}
                </div>
                @endif
                @include('Layouts.backend.message')
                <div class="ibox-title">
                    <h5>System Users </h5>
                </div>
                <div class="ibox-content">
                    <div class="row">
                        {{Form::open(['route'=>['systemuser.index'],'method'=>'get'])}}
                        <div class="col-sm-1 m-b-xs">
                        </div>
                        <div class="col-sm-1 m-b-xs">

                        </div>
                        <div class="col-sm-10">
                            <div class="input-group pl-1 display-inline">
                                <a href="javascript:void(0)" id="delete-selected-user" class="btn btn-sm btn-danger "
                                    type="button"><i class="fa fa-trash"></i> Delete </a>
                            </div>

                            <div class="input-group pl-1 display-inline">
                                <a href="{{route('systemuser.create')}}" class="btn btn-sm btn-primary "
                                    type="button"><i class="fa fa-plus"></i>Add New</a>
                            </div>
                            <div class="input-group cus-refresh">
                                <a href="{{route('systemuser.index')}}"><i class="fa fa-refresh"></i></a>
                            </div>
                            <div class="input-group width25">
                                {{Form::text('s',old('s'),['class'=>'input-sm form-control','placeholder' => 'Search'])}}
                                <span class="input-group-btn">
                                    <button type="submit" class="btn btn-sm btn-primary"> Search</button>
                                </span>
                            </div>
                        </div>
                        {{Form::close()}}
                    </div>
                    <div class="table-responsive1">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>

                                        <input type="checkbox" class="i-checks" id="example-select-all"></th>
                                    <th>First Name</th>
                                    <th>Last Name</th>
                                    <th>Email</th>
                                    <th>Status</th>
                                    <th>User Type</th>
                                    <th>Territory</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>

                                @if(!empty($systemuser))
                                @foreach($systemuser as $row )
                                <tr>
                                    <td>
                                        @if(Auth::user()->id != $row->id)<input class="checkall i-checks"
                                            type="checkbox" name="check[]" id="sub_chk" data-id="{{$row->id}}">@endif
                                    </td>
                                    <td>{{$row->first_name ? $row->first_name : "-"}}</td>
                                    <td>{{$row->last_name ? $row->last_name : "-"}}</td>
                                    <td>
                                        {{$row->email ? $row->email : "-"}}
                                    </td>
                                    <td>
                                        <?php 
                    $class = '';
                    
                    if(Session::get('id') == $row->id){
                      $class = "disabled";
                    }
                    
                    ?>
                                        @if($row->status == 'Active')
                                        <button class="system-active-btn btn btn-xs btn-primary" data-id="{{$row->id}}"
                                            data-status="active" <?php echo $class;?>>Active</button>
                                        @else
                                        <button class="system-active-btn btn btn-xs btn-danger" data-id="{{$row->id}}"
                                            data-status="inactive" {<?php echo $class;?>>Inactive</button>
                                        @endif
                                    </td>
                                    <td>{{$row->user_type ? $row->user_type : "Super Admin"}}</td>
                                    <td>{{$row->territory ? $row->territory : "-"}}</td>
                                    <td>
                                        <a href="{{route('systemuser.edit',$row->id)}}" class="cus-icon"><i
                                                class="fa fa-pencil"></i>
                                        </a>
                                        @if(Auth::user()->id != $row->id)
                                        <a href="{{route('systemuser_delete_record',$row->id)}}"
                                            class="cus-icon system-user-delete" title="Delete"><i
                                                class="fa fa-trash"></i></a>
                                        @endif
                                    </td>
                                </tr>
                                @endforeach
                                @endif
                                @if(!count($systemuser))
                                <tr>
                                    <td colspan="6">
                                        <h4 class="text-center">No Records Found</h4>
                                    </td>
                                </tr>
                                @endif
                            </tbody>
                        </table>

                    </div>

                </div>
            </div>
        </div>

    </div>
    @include('Layouts.backend.foot')
</div>

@endsection('content')